org.encog

## Class EncogError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.encog.EncogError

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AnalystError, BayesianError, BotError, BufferedDataError, CellularAutomataError, CSVError, EAError, EncogMathError, GeneticError, MatrixError, NeuralNetworkError, NormalizationError, ParseError, PersistError, QuantError, TemporalError

      public class EncogError
      extends RuntimeException

  General error class for Encog. All Encog errors should extend from this class. Doing this ensures that they will be caught as Encog errors. This also ensures that any subclasses will be logged.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncogError(String msg)` Construct a message exception.
    `EncogError(String msg, Throwable t)` Construct an exception that holds another exception.
    `EncogError(Throwable t)` Construct an exception that holds another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EncogError

          public EncogError(String msg)

      Construct a message exception.
      Parameters:
        `msg` - The exception message.

    - #### EncogError

          public EncogError(Throwable t)

      Construct an exception that holds another exception.
      Parameters:
        `t` - The other exception.

    - #### EncogError

          public EncogError(String msg,
                    Throwable t)

      Construct an exception that holds another exception.
      Parameters:
        `msg` - A message.
        `t` - The other exception.

Copyright © 2014. All Rights Reserved.